profunctors-5.1.2: Profunctors

Copyright | (C) 2014 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | experimental
Portability | portable
Safe Haskell | Safe
Language | Haskell2010

Data.Profunctor.Cayley

Description

Synopsis

- newtype Cayley f p a b = Cayley {
  - runCayley :: f (p a b)
  }

# Documentation

newtype Cayley f p a b Source

Constructors

Cayley |

Fields

runCayley :: f (p a b)

Instances

(Applicative f, Category * p) => Category * (Cayley f p) Source |
Comonad f => ProfunctorComonad (Cayley f) Source | Cayley transforms Comonads in `Hask` into comonads on `Prof`
(Functor f, Monad f) => ProfunctorMonad (Cayley f) Source | Cayley transforms Monads in `Hask` into monads on `Prof`
Functor f => ProfunctorFunctor (Cayley f) Source |
(Applicative f, Arrow p) => Arrow (Cayley f p) Source |
(Applicative f, ArrowZero p) => ArrowZero (Cayley f p) Source |
(Applicative f, ArrowPlus p) => ArrowPlus (Cayley f p) Source |
(Applicative f, ArrowChoice p) => ArrowChoice (Cayley f p) Source |
(Applicative f, ArrowLoop p) => ArrowLoop (Cayley f p) Source |
(Functor f, Profunctor p) => Profunctor (Cayley f p) Source |
(Functor f, Choice p) => Choice (Cayley f p) Source |
(Functor f, Strong p) => Strong (Cayley f p) Source |